#!/usr/bin/python
# -*- utf-8 -*-

def getStyle(edge):
    if edge.weight < 0.75:
        return 'bold'
    elif edge.weight < 1.0:
        return 'solid'
    elif edge.weight < 2:
        return 'dashed'
    else:
        return 'dotted'


def osmNetToParser(stream, nodes, edges):
    stream.write("graph osm {\n")
    for node in nodes:
        s = str(node.node).replace('-', 'x')
        stream.write('n%s [name="%s"];\n' % (s, s))
    for edge in edges:
        stream.write('n%s -- n%s [label="%s", weight=%.3f, style=%s];\n' % (
                    str(edge.from_node).replace('-', 'x'),
                    str(edge.to_node).replace('-', 'x'),
                    edge.name.encode('utf-8'),
                    1.0/edge.weight,
                    getStyle(edge)))
    stream.write("}\n")

